<?php

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Request;
use AppBundle\Entity\Film;
use AppBundle\Form\FilmType;

class VideothequePersonnelleController extends Controller
{
	/**
     * @Route("/maliste/", name="videothequepersonnelle_maliste")
     */
	public function maListeAction (Request $request)
    {
        $films = $this->getUser()->getFilms();

        return $this->render('@App/videotheque/liste.html.twig', array(
            'listeFilms'    =>  $films,
            'titre'         =>  'Ma liste de films à voir'
        ));
    }


	/*public function maListeAction (Request $request)
    {
        $resultats = array();
        $user = $this->getUser();
        foreach ($user->getFilms() as $key => $film) {
            $resultats[$key] = $this->get('serializer')->serialize($film, 'json');
        }
        return new JsonResponse($resultats);
    }*/

    /**
     * @Route("/maliste/modifieravoir/", name="maliste_modifier_a_voir")
     * @param Request $request
     * @return JsonResponse
     */
    public function modifierFilmDansListeAction(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $repo = $em->getRepository('AppBundle:Film');
        $film = $repo->find($request->request->get('id_film'));
        if ($request->isXmlHttpRequest())
        {
            $film->inverseUserWantToView($this->getUser());
            $em->flush();
        }
        /*$resultat = $this->get('serializer')->serialize($film, 'json');*/
        return new Response('OK');
    }

    /**
     * @Route("/maliste/modifiervus/", name="maliste_modifier_vus")
     * @param Request $request
     * @return JsonResponse
     */
    public function modifierFilmVusAction(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $repo = $em->getRepository('AppBundle:Film');
        $film = $repo->find($request->request->get('id_film'));
        if ($request->isXmlHttpRequest())
        {
            $film->inverseUserWhoSeen($this->getUser());
            $em->flush();
        }
        /*$resultat = $this->get('serializer')->serialize($film, 'json');*/
        return new Response('OK');
    }

}
